>
>
> Hello,
>
> OK, this is probably what you need
>
>  BRepPrimAPI_MakeBox box (100.,100.,100.);
>    gp_Trsf T;
>    T.SetValues(
>            1, 0.5, 0, 0,
>            0, 1,   0, 0,
>            0, 0,   1, 0,
>            Precision::Angular(),
>            Precision::Confusion()
>            );
>
>    gp_GTrsf GT( T );
>    BRepBuilderAPI_GTransform GTShape(box.Shape(), GT, false);
>    Handle(AIS_Shape) Shape = new AIS_Shape(GTShape);
>    occwidget.myAISContext->Display(Shape, NULL, NULL, false, false );
>

I think I am doing similar things, just in python. I wasn't using
Precision package, but I tried it now and it didn't make any
difference. I am not using OCC's gui, but instead looking at the
generated STL.

I also imported the STL in Blender and see the same shape, so it can't
be MeshLab. I have also dumped the Mesh data of the resulting shape
and rendered it using my own renderer and see the same shape as seen
in MeshLab and Blender.

Thanks for the response.

_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to